Path or package problem - Mandriva

This is a discussion on Path or package problem - Mandriva ; Mandriva 2008.0: Trying to configure/make an application that requires access to "libusb". Configure bombs out with: "checking for LIBUSB... configure: error: Package requirements (libusb) were not met: No package 'libusb' found Consider adjusting the PKG_CONFIG_PATH environment variable if you installed ...

+ Reply to Thread
Results 1 to 5 of 5

Thread: Path or package problem

  1. Path or package problem

    Mandriva 2008.0: Trying to configure/make an application that requires
    access to "libusb".
    Configure bombs out with:
    "checking for LIBUSB... configure: error: Package requirements (libusb)
    were not met:

    No package 'libusb' found

    Consider adjusting the PKG_CONFIG_PATH environment variable if you
    installed software in a non-standard prefix.

    Alternatively, you may set the environment variables LIBUSB_CFLAGS
    and LIBUSB_LIBS to avoid the need to call pkg-config.
    See the pkg-config man page for more details."

    But:
    # urpmi libusb
    Package libusb0.1_4-0.1.12-5mdv2008.0.i586 is already installed
    [root@haydn graeme]# locate libusb
    /lib/libusb-0.1.so.4
    /lib/libusb-0.1.so.4.4.4
    /lib/libusb.la
    /lib/libusbpp-0.1.so.4
    /lib/libusbpp-0.1.so.4.4.4
    /lib/udev/libusbscanner
    /usr/share/doc/libusb0.1_4
    /usr/share/doc/libusb0.1_4/README
    $set |grep PKG_CONFIG
    PKG_CONFIG_PATH=/lib:/local/opt/gtk/lib/pkgconfig:/usr/lib/qt4/lib/pkgconfig:/usr/lib/qt4/lib/pkgconfig:/usr/local/lib/pkgconfg
    So, PKG_CONFIG_PATH apparently includes the path to libusb, so what am I
    missing?
    Suggestions/help gratefully received.
    Thanks
    Grimble

  2. Re: Path or package problem

    Grimble wrote:

    > So, PKG_CONFIG_PATH apparently includes the path to libusb, so what am I
    > missing?


    I guess the -devel rpm, so install libusb-devel and run configure again

    cheers

    Mark



  3. Re: Path or package problem

    On Mon, 16 Jun 2008 09:53:46 -0400, Grimble wrote:

    > No package 'libusb' found


    Most likely it's requiring one of the libs from the libusb-devel rpm package.

    Regards, Dave Hodgins

    --
    Change nomail.afraid.org to ody.ca to reply by email.
    (nomail.afraid.org has been set up specifically for
    use in usenet. Feel free to use it yourself.)

  4. Re: Path or package problem

    Mark, David:
    Thanks. urpmi libusp-devel solved it.
    Regards
    Grimble

  5. Re: Path or package problem

    David W. Hodgins wrote:
    > On Mon, 16 Jun 2008 09:53:46 -0400, Grimble wrote:
    >
    >> No package 'libusb' found

    >
    > Most likely it's requiring one of the libs from the libusb-devel rpm package.


    Another possibility is that your system may be like mine, in that it
    has a symbolic link libusb.la pointing to /usr/lib/libusb.la, but the
    latter does not exist.

    Actually, on my system, libusb.la is in /lib64 and the file pointed
    to should be /usr/lib64/libusb.la, but it is still not there.

    Cheers!

    jim b.

    --
    UNIX is not user-unfriendly; it merely
    expects users to be computer-friendly.

+ Reply to Thread